# Set house rules for a property

Specify the [house rules](https://partnerhelp.booking.com/hc/en-us/articles/360001211848) for a property with the method below. You can only specify house rules for [Booking Home property types](/connectivity/docs/codes-pct).

## Method and URL


```http
POST https://supply-xml.booking.com/house-rules/properties/{property_id}
```

## Request parameters

| Parameter | Description | Type | Required | Notes |
|  --- | --- | --- | --- | --- |
| `property_id` | The property for which you want to specify house rules. | integer | Required | Must be one of the [Booking Home types](/connectivity/docs/codes-pct). |


## Request headers

| Header | Description | Type | Required | Notes |
|  --- | --- | --- | --- | --- |
| `Authorization` | [Your Base-64 encoded username and password.](/connectivity/docs/authentication) | string | Required | - |


## Request body

| Field | Description | Type | Required | Notes |
|  --- | --- | --- | --- | --- |
| `smoking_allowed` | Specifies whether smoking in the property is allowed (`1`) or not (`0`). | int | Optional | Accepts: `0` (no), `1` (yes) |
| `parties_allowed` | Specifies whether guests may have parties at the property (`1`) or not (`0`). | int | Optional | Accepts: `0` (no), `1` (yes) |
| `pets_allowed` | Specifies whether pets are allowed. | string | Optional | Accepts: `yes`, `no`, `on_request` |
| `pets_price_type` | Specifies whether charges apply for bringing pets (if allowed). | string | Required if `pets_allowed` is `yes` or `on_request` | Accepts: `free`, `charges_may_apply` |
| `quiet_hours_set` | Specifies whether the property has quiet hours (`1`) or not (`0`). | int | Optional | Accepts: `0` (no), `1` (yes) |
| `quiet_hours_start_time` | Quiet hours start time. | string | Optional | Format: `HH:00`, where `HH` is `1`–`23`. |
| `quiet_hours_end_time` | Quiet hours end time. | string | Optional | Format: `HH:00`, where `HH` is `1`–`23`. |


## Sample request


```json
POST /house-rules/properties/1234567
Host: supply-xml.booking.com
Authorization: Basic TWF0dGV...
Content-Type: application/json

{
	"parties_allowed": 0,
	"pets_allowed": "yes",
	"pets_price_type": "free",
	"smoking_allowed": 1,
	"quiet_hours_set": 1,
	"quiet_hours_start_time": "22:00",
	"quiet_hours_end_time": "8:00"
}
```

## Sample response — Success


```json
{
    "errors": [],
    "data": {
        "success": 1
    },
    "meta": {
        "ruid": "UmFuZG9tetc"
    },
    "warnings": []
}
```

## Sample response — Incorrect property type


```json
{
    "errors": [
        {
            "message": "This property is not eligible for house rules.",
            "code": "OPERATION_NOT_ALLOWED",
            "details": null
        }
    ],
    "data": {},
    "warnings": [],
    "meta": {
        "ruid": "UmFuZG9etc"
    }
}
```

## Sample response — Invalid arguments


```json
{
    "errors": [
        {
            "message": "Validation of quiet_hours_start_time failed.",
            "details": {
                "fields": "quiet_hours_start_time"
            },
            "code": "INVALID_ARGUMENT"
        }
    ],
    "meta": {
        "ruid": "UmFuZG9etc"
    },
    "data": {},
    "warnings": []
}
```

## Response headers

| Header | Description | Type | Notes |
|  --- | --- | --- | --- |
| `RUID` | [Response Unique IDentifier.](/connectivity/docs/glossary_of_terms#ruid) | string | - |


## Response body

| Field | Description | Type | Notes |
|  --- | --- | --- | --- |
| `success` | Returned upon a successful request. | int | - |


## Response codes

| Code | Description | Notes |
|  --- | --- | --- |
| `400` | Bad request. | - |
| `404` | Resource not found. | - |